Errores y más errores

Imagen de Mambita
0 puntos

Hola a todos:

Tengo un problema de órdago, y es que no consigo entrar en mi cuenta de usuario de Ubuntu. Cuando me aparece la pantalla de inicio, donde se pide la contraseña, escribo ésta pero me lleva a una pantalla negra e inmediatamente después vuelve al mismo sitio. Tenía Ubuntu 11.10, creé un nuevo usuario, actualicé a la versión 12.04 a ver si así con el despiste... pero nada, sigo en las mismas. He probado varias soluciones que a otros les ha funcionado, pero sospecho que en mi sistema operativo se han ido acumulando muchos errores y no hay manera de salir de este embrollo.

Me temo que tengo varios paquetes rotos que es posible que me estén dificultando la operación. No sé si solucionándolos podré entrar en mi cuenta de usuario, pero voy a tener que arreglarlos para poder atacar al problema principal. Así que voy por partes.

Hay un paquete llamado Yelp que no me funciona correctamente (esto vine ya de la versión anterior, pues en la actualización del sistema también me dio error). He intentado actualizarlo, repararlo, desinstalarlo y volverlo a instalar... desde la terminal, desde Synaptics, y nada; unos se instalan pero el principal me sigue dando error. Esto es lo que me dice desde Synaptics:

E: /var/cache/apt/archives/yelp_3.4.1-0ubuntu1_amd64.deb: el subproceso dpkg-deb --fsys-tarfile devolvió el código de salida de error 2

Desde terminal me dice todo esto, que viene a ser lo mismo:

E: El subproceso gzip devolvió un código de error (1)
E: Prior errors apply to /var/cache/apt/archives/yelp_3.4.1-0ubuntu1_amd64.deb
E: Prior errors apply to /var/cache/apt/archives/gnome-user-guide_3.4.1-1_all.deb
debconf: fallo al ejecutar «apt-extracttemplates»: No existe el archivo o el directorio
Seleccionando paquete libyelp0 previamente no seleccionado
(Leyendo la base de datos ... 261816 ficheros o directorios instalados actualmente.)
Desempaquetando libyelp0 (de .../libyelp0_3.4.1-0ubuntu1_amd64.deb) ...
Seleccionando paquete yelp-xsl previamente no seleccionado
Desempaquetando yelp-xsl (de .../yelp-xsl_3.4.1-1_all.deb) ...
Desempaquetando yelp (de .../yelp_3.4.1-0ubuntu1_amd64.deb) ...
dpkg-deb (subproceso): fallo al leer en buffer_copy para fallo al escribir a la tubería en la copia: Error de entrada/salida
dpkg-deb: error: el subproceso copiado devolvió el código de salida de error 2
dpkg: error al procesar /var/cache/apt/archives/yelp_3.4.1-0ubuntu1_amd64.deb (--unpack):
el subproceso dpkg-deb --fsys-tarfile devolvió el código de salida de error 2
Seleccionando paquete gnome-user-guide previamente no seleccionado
Desempaquetando gnome-user-guide (de .../gnome-user-guide_3.4.1-1_all.deb) ...
Se encontraron errores al procesar:
/var/cache/apt/archives/yelp_3.4.1-0ubuntu1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

No me diréis que no es entretenida mi pregunta. ¿A alguien se le ocurre algo por dónde pueda seguir?

Muchas gracias de antemano.